<footer class="footer">
  <div class="footer-wrapper">
    <app-logo class="logo"></app-logo>
    <div class="social-icons">
      <div
        class="icon-wrapper"
        *ngFor="let icon of icons; let i = index"
        (mouseover)="shownBottomLine = i"
        (mouseout)="shownBottomLine = -1"
      >
        <app-icon [icon]="icon"></app-icon>
        <app-bottom-line
          [show]="shownBottomLine === i"
          width="90%"
          marginTop="0.2rem"
        ></app-bottom-line>
      </div>
    </div>
    <app-nav-links
      class="nav-links"
      [color]="width > 1000 ? 'lightgray' : 'light'"
      gap="1.8rem"
    ></app-nav-links>
    <p class="rights">
      &copy; {{ currentYear }} Loopstudios. All rights reserved.
    </p>
  </div>
</footer>
